
<!doctype html>
<html lang="de" class="no-js">
  <head>
    
      <meta charset="utf-8">
      <meta name="viewport" content="width=device-width,initial-scale=1">
      
      
      
        <link rel="canonical" href="https://kantonsschuleambruehl.gitlab.io/m106/1-1/">
      
      <link rel="icon" href="../img/favicon-32x32.png">
      <meta name="generator" content="mkdocs-1.3.0, mkdocs-material-8.2.16">
    
    
      
        <title>1.1 Datenimport in MySQL - Modul 106 - Datenbanken abfragen, bearbeiten und warten</title>
      
    
    
      <link rel="stylesheet" href="../assets/stylesheets/main.1c3799f8.min.css">
      
        
        <link rel="stylesheet" href="../assets/stylesheets/palette.cc9b2e1e.min.css">
        
      
    
    
    
      
        
        
        <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Roboto:300,300i,400,400i,700,700i%7CRoboto+Mono:400,400i,700,700i&display=fallback">
        <style>:root{--md-text-font:"Roboto";--md-code-font:"Roboto Mono"}</style>
      
    
    
      <link rel="stylesheet" href="../stylesheets/extra.css">
    
    <script>__md_scope=new URL("..",location),__md_get=(e,_=localStorage,t=__md_scope)=>JSON.parse(_.getItem(t.pathname+"."+e)),__md_set=(e,_,t=localStorage,a=__md_scope)=>{try{t.setItem(a.pathname+"."+e,JSON.stringify(_))}catch(e){}}</script>
    
      

    
    
  </head>
  
  
    
    
    
    
    
    <body dir="ltr" data-md-color-scheme="" data-md-color-primary="none" data-md-color-accent="none">
  
    
    
    <input class="md-toggle" data-md-toggle="drawer" type="checkbox" id="__drawer" autocomplete="off">
    <input class="md-toggle" data-md-toggle="search" type="checkbox" id="__search" autocomplete="off">
    <label class="md-overlay" for="__drawer"></label>
    <div data-md-component="skip">
      
        
        <a href="#mysql" class="md-skip">
          Zum Inhalt
        </a>
      
    </div>
    <div data-md-component="announce">
      
    </div>
    
    
      

<header class="md-header" data-md-component="header">
  <nav class="md-header__inner md-grid" aria-label="Header">
    <a href=".." title="Modul 106 - Datenbanken abfragen, bearbeiten und warten" class="md-header__button md-logo" aria-label="Modul 106 - Datenbanken abfragen, bearbeiten und warten" data-md-component="logo">
      
  <img src="../img/KSB_logo.svg" alt="logo">

    </a>
    <label class="md-header__button md-icon" for="__drawer">
      <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M3 6h18v2H3V6m0 5h18v2H3v-2m0 5h18v2H3v-2Z"/></svg>
    </label>
    <div class="md-header__title" data-md-component="header-title">
      <div class="md-header__ellipsis">
        <div class="md-header__topic">
          <span class="md-ellipsis">
            Modul 106 - Datenbanken abfragen, bearbeiten und warten
          </span>
        </div>
        <div class="md-header__topic" data-md-component="header-topic">
          <span class="md-ellipsis">
            
              1.1 Datenimport in MySQL
            
          </span>
        </div>
      </div>
    </div>
    
    
    
      <label class="md-header__button md-icon" for="__search">
        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M9.5 3A6.5 6.5 0 0 1 16 9.5c0 1.61-.59 3.09-1.56 4.23l.27.27h.79l5 5-1.5 1.5-5-5v-.79l-.27-.27A6.516 6.516 0 0 1 9.5 16 6.5 6.5 0 0 1 3 9.5 6.5 6.5 0 0 1 9.5 3m0 2C7 5 5 7 5 9.5S7 14 9.5 14 14 12 14 9.5 12 5 9.5 5Z"/></svg>
      </label>
      <div class="md-search" data-md-component="search" role="dialog">
  <label class="md-search__overlay" for="__search"></label>
  <div class="md-search__inner" role="search">
    <form class="md-search__form" name="search">
      <input type="text" class="md-search__input" name="query" aria-label="Suche" placeholder="Suche" autocapitalize="off" autocorrect="off" autocomplete="off" spellcheck="false" data-md-component="search-query" required>
      <label class="md-search__icon md-icon" for="__search">
        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M9.5 3A6.5 6.5 0 0 1 16 9.5c0 1.61-.59 3.09-1.56 4.23l.27.27h.79l5 5-1.5 1.5-5-5v-.79l-.27-.27A6.516 6.516 0 0 1 9.5 16 6.5 6.5 0 0 1 3 9.5 6.5 6.5 0 0 1 9.5 3m0 2C7 5 5 7 5 9.5S7 14 9.5 14 14 12 14 9.5 12 5 9.5 5Z"/></svg>
        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M20 11v2H8l5.5 5.5-1.42 1.42L4.16 12l7.92-7.92L13.5 5.5 8 11h12Z"/></svg>
      </label>
      <nav class="md-search__options" aria-label="Suche">
        
        <button type="reset" class="md-search__icon md-icon" aria-label="Zurücksetzen" tabindex="-1">
          <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M19 6.41 17.59 5 12 10.59 6.41 5 5 6.41 10.59 12 5 17.59 6.41 19 12 13.41 17.59 19 19 17.59 13.41 12 19 6.41Z"/></svg>
        </button>
      </nav>
      
    </form>
    <div class="md-search__output">
      <div class="md-search__scrollwrap" data-md-scrollfix>
        <div class="md-search-result" data-md-component="search-result">
          <div class="md-search-result__meta">
            Suche wird initialisiert
          </div>
          <ol class="md-search-result__list"></ol>
        </div>
      </div>
    </div>
  </div>
</div>
    
    
  </nav>
  
</header>
    
    <div class="md-container" data-md-component="container">
      
      
        
          
        
      
      <main class="md-main" data-md-component="main">
        <div class="md-main__inner md-grid">
          
            
              
              <div class="md-sidebar md-sidebar--primary" data-md-component="sidebar" data-md-type="navigation" >
                <div class="md-sidebar__scrollwrap">
                  <div class="md-sidebar__inner">
                    


  

<nav class="md-nav md-nav--primary md-nav--integrated" aria-label="Navigation" data-md-level="0">
  <label class="md-nav__title" for="__drawer">
    <a href=".." title="Modul 106 - Datenbanken abfragen, bearbeiten und warten" class="md-nav__button md-logo" aria-label="Modul 106 - Datenbanken abfragen, bearbeiten und warten" data-md-component="logo">
      
  <img src="../img/KSB_logo.svg" alt="logo">

    </a>
    Modul 106 - Datenbanken abfragen, bearbeiten und warten
  </label>
  
  <ul class="md-nav__list" data-md-scrollfix>
    
      
      
      

  
  
  
    <li class="md-nav__item">
      <a href=".." class="md-nav__link">
        0 Handlungsziele
      </a>
    </li>
  

    
      
      
      

  
  
    
  
  
    
    <li class="md-nav__item md-nav__item--active md-nav__item--nested">
      
      
        <input class="md-nav__toggle md-toggle" data-md-toggle="__nav_2" type="checkbox" id="__nav_2" checked>
      
      
      
      
        <label class="md-nav__link" for="__nav_2">
          1 Rückblick
          <span class="md-nav__icon md-icon"></span>
        </label>
      
      <nav class="md-nav" aria-label="1 Rückblick" data-md-level="1">
        <label class="md-nav__title" for="__nav_2">
          <span class="md-nav__icon md-icon"></span>
          1 Rückblick
        </label>
        <ul class="md-nav__list" data-md-scrollfix>
          
            
              
  
  
    
  
  
    <li class="md-nav__item md-nav__item--active">
      
      <input class="md-nav__toggle md-toggle" data-md-toggle="toc" type="checkbox" id="__toc">
      
      
        
      
      
        <label class="md-nav__link md-nav__link--active" for="__toc">
          1.1 Datenimport in MySQL
          <span class="md-nav__icon md-icon"></span>
        </label>
      
      <a href="./" class="md-nav__link md-nav__link--active">
        1.1 Datenimport in MySQL
      </a>
      
        

<nav class="md-nav md-nav--secondary" aria-label="Inhaltsverzeichnis">
  
  
  
    
  
  
    <label class="md-nav__title" for="__toc">
      <span class="md-nav__icon md-icon"></span>
      Inhaltsverzeichnis
    </label>
    <ul class="md-nav__list" data-md-component="toc" data-md-scrollfix>
      
        <li class="md-nav__item">
  <a href="#datenimport-in-mysql" class="md-nav__link">
    Datenimport in MySQL
  </a>
  
    <nav class="md-nav" aria-label="Datenimport in MySQL">
      <ul class="md-nav__list">
        
          <li class="md-nav__item">
  <a href="#schritt-1-mysql-datenbank-und-tabelle-erstellen" class="md-nav__link">
    Schritt 1: MySQL-Datenbank und Tabelle erstellen
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#schritt-2-csv-datei-vorbereiten" class="md-nav__link">
    Schritt 2: CSV-Datei vorbereiten
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#schritt-3-daten-importieren" class="md-nav__link">
    Schritt 3: Daten importieren
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#fazit" class="md-nav__link">
    Fazit
  </a>
  
</li>
        
      </ul>
    </nav>
  
</li>
      
    </ul>
  
</nav>
      
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../1-2/" class="md-nav__link">
        1.2 SQL Data Manipulation Language (DML)
      </a>
    </li>
  

            
          
        </ul>
      </nav>
    </li>
  

    
      
      
      

  
  
  
    
    <li class="md-nav__item md-nav__item--nested">
      
      
        <input class="md-nav__toggle md-toggle" data-md-toggle="__nav_3" type="checkbox" id="__nav_3" >
      
      
      
      
        <label class="md-nav__link" for="__nav_3">
          2 Datensicherheit
          <span class="md-nav__icon md-icon"></span>
        </label>
      
      <nav class="md-nav" aria-label="2 Datensicherheit" data-md-level="1">
        <label class="md-nav__title" for="__nav_3">
          <span class="md-nav__icon md-icon"></span>
          2 Datensicherheit
        </label>
        <ul class="md-nav__list" data-md-scrollfix>
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../2-1/" class="md-nav__link">
        2.1 Nutzer- und Rollenkonzept
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../2-2/" class="md-nav__link">
        2.2 Zero Trust, IAM, CIAM
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../2-3/" class="md-nav__link">
        2.3 Implementierung mit Data Control Language (DCL)
      </a>
    </li>
  

            
          
        </ul>
      </nav>
    </li>
  

    
      
      
      

  
  
  
    
    <li class="md-nav__item md-nav__item--nested">
      
      
        <input class="md-nav__toggle md-toggle" data-md-toggle="__nav_4" type="checkbox" id="__nav_4" >
      
      
      
      
        <label class="md-nav__link" for="__nav_4">
          3 Datenmodellierung
          <span class="md-nav__icon md-icon"></span>
        </label>
      
      <nav class="md-nav" aria-label="3 Datenmodellierung" data-md-level="1">
        <label class="md-nav__title" for="__nav_4">
          <span class="md-nav__icon md-icon"></span>
          3 Datenmodellierung
        </label>
        <ul class="md-nav__list" data-md-scrollfix>
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../3-1/" class="md-nav__link">
        3.1 konzeptionelle Datenmodellierung
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../3-1/" class="md-nav__link">
        3.2 physikalische Datenmodellierung mit Data Defintion Lanugage (DDL)
      </a>
    </li>
  

            
          
        </ul>
      </nav>
    </li>
  

    
      
      
      

  
  
  
    
    <li class="md-nav__item md-nav__item--nested">
      
      
        <input class="md-nav__toggle md-toggle" data-md-toggle="__nav_5" type="checkbox" id="__nav_5" >
      
      
      
      
        <label class="md-nav__link" for="__nav_5">
          4 Datenmanipulation
          <span class="md-nav__icon md-icon"></span>
        </label>
      
      <nav class="md-nav" aria-label="4 Datenmanipulation" data-md-level="1">
        <label class="md-nav__title" for="__nav_5">
          <span class="md-nav__icon md-icon"></span>
          4 Datenmanipulation
        </label>
        <ul class="md-nav__list" data-md-scrollfix>
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../3-1/" class="md-nav__link">
        4.1 Filterfunktionen
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../3-1/" class="md-nav__link">
        4.2 Aggregatsfunktionen
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../3-1/" class="md-nav__link">
        4.3 Inner Join
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../3-1/" class="md-nav__link">
        4.4 Left Join
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../3-1/" class="md-nav__link">
        4.5 Right Join
      </a>
    </li>
  

            
          
        </ul>
      </nav>
    </li>
  

    
      
      
      

  
  
  
    
    <li class="md-nav__item md-nav__item--nested">
      
      
        <input class="md-nav__toggle md-toggle" data-md-toggle="__nav_6" type="checkbox" id="__nav_6" >
      
      
      
      
        <label class="md-nav__link" for="__nav_6">
          5 Datenbanksicherung und Migration
          <span class="md-nav__icon md-icon"></span>
        </label>
      
      <nav class="md-nav" aria-label="5 Datenbanksicherung und Migration" data-md-level="1">
        <label class="md-nav__title" for="__nav_6">
          <span class="md-nav__icon md-icon"></span>
          5 Datenbanksicherung und Migration
        </label>
        <ul class="md-nav__list" data-md-scrollfix>
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../3-1/" class="md-nav__link">
        4.1 Sicherung einer Datenank
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../3-1/" class="md-nav__link">
        4.2 Migration einer Datenbank
      </a>
    </li>
  

            
          
        </ul>
      </nav>
    </li>
  

    
  </ul>
</nav>
                  </div>
                </div>
              </div>
            
            
          
          <div class="md-content" data-md-component="content">
            <article class="md-content__inner md-typeset">
              
                


<h1 id="mysql">MySQL<a class="headerlink" href="#mysql" title="Permanent link">&para;</a></h1>
<h2 id="datenimport-in-mysql">Datenimport in MySQL<a class="headerlink" href="#datenimport-in-mysql" title="Permanent link">&para;</a></h2>
<p>MySQL ist eine der bekanntesten relationalen Datenbankverwaltungssysteme, die von vielen Unternehmen und Organisationen zur Verwaltung ihrer Daten verwendet wird. Wenn Sie Daten von einer CSV-Datei in eine MySQL-Datenbank importieren müssen, gibt es mehrere Methoden zur Verfügung, darunter die Verwendung von GUI-Tools wie MySQL Workbench oder die Verwendung von SQL-Befehlen. In diesem Artikel werden wir uns auf den Datenimport von CSV-Dateien in MySQL über die Kommandozeile konzentrieren.</p>
<p>Wenn Sie Daten in eine MySQL-Datenbank importieren möchten, können Sie dies einfach über die Kommandozeile tun. In diesem Text werde ich Ihnen zeigen, wie Sie eine CSV-Datei in MySQL importieren können.</p>
<h3 id="schritt-1-mysql-datenbank-und-tabelle-erstellen">Schritt 1: MySQL-Datenbank und Tabelle erstellen<a class="headerlink" href="#schritt-1-mysql-datenbank-und-tabelle-erstellen" title="Permanent link">&para;</a></h3>
<p>Zunächst müssen Sie eine MySQL-Datenbank und eine Tabelle erstellen, in die Sie Ihre Daten importieren möchten. Sie können dies einfach über das MySQL-Shell-Tool oder eine grafische Benutzeroberfläche wie phpMyAdmin tun.</p>
<p>Hier ist ein Beispiel, wie Sie eine Tabelle namens "customers" mit den Spalten "id", "name" und "email" erstellen können:</p>
<div class="highlight"><pre><span></span><code><span class="k">CREATE</span><span class="w"> </span><span class="k">TABLE</span><span class="w"> </span><span class="n">customers</span><span class="w"> </span><span class="p">(</span><span class="w"></span>
<span class="w">  </span><span class="n">id</span><span class="w"> </span><span class="nb">INT</span><span class="w"> </span><span class="k">PRIMARY</span><span class="w"> </span><span class="k">KEY</span><span class="p">,</span><span class="w"></span>
<span class="w">  </span><span class="n">name</span><span class="w"> </span><span class="nb">VARCHAR</span><span class="p">(</span><span class="mi">50</span><span class="p">),</span><span class="w"></span>
<span class="w">  </span><span class="n">email</span><span class="w"> </span><span class="nb">VARCHAR</span><span class="p">(</span><span class="mi">50</span><span class="p">)</span><span class="w"></span>
<span class="p">);</span><span class="w"></span>
</code></pre></div>
<h3 id="schritt-2-csv-datei-vorbereiten">Schritt 2: CSV-Datei vorbereiten<a class="headerlink" href="#schritt-2-csv-datei-vorbereiten" title="Permanent link">&para;</a></h3>
<p>Als nächstes müssen Sie sicherstellen, dass Ihre CSV-Datei das gleiche Format wie Ihre MySQL-Tabelle hat. Die erste Zeile der CSV-Datei sollte die Namen der Spalten enthalten.</p>
<p>Hier ist ein Beispiel für eine CSV-Datei, die in die "customers"-Tabelle importiert werden kann:</p>
<div class="highlight"><pre><span></span><code>id,name,email
1,John Doe,john@example.com
2,Jane Doe,jane@example.com
3,Bob Smith,bob@example.com
</code></pre></div>
<h3 id="schritt-3-daten-importieren">Schritt 3: Daten importieren<a class="headerlink" href="#schritt-3-daten-importieren" title="Permanent link">&para;</a></h3>
<p>Jetzt sind wir bereit, die Daten in MySQL zu importieren. Hier ist das Befehlsformat, das Sie verwenden müssen:</p>
<p><div class="highlight"><pre><span></span><code>LOAD DATA LOCAL INFILE <span class="s1">&#39;/path/to/your/csv/file.csv&#39;</span>
INTO TABLE customers
FIELDS TERMINATED BY <span class="s1">&#39;,&#39;</span>
ENCLOSED BY <span class="s1">&#39;&quot;&#39;</span>
LINES TERMINATED BY <span class="s1">&#39;\n&#39;</span>
IGNORE <span class="m">1</span> ROWS<span class="p">;</span>
</code></pre></div>
Ersetzen Sie "/path/to/your/csv/file.csv" durch den tatsächlichen Pfad zu Ihrer CSV-Datei.</p>
<p>Der Befehl "LOAD DATA LOCAL INFILE" liest die Daten aus der CSV-Datei und fügt sie in die Tabelle "customers" ein. "FIELDS TERMINATED BY ','" gibt an, dass die Spalten durch ein Komma getrennt sind, "ENCLOSED BY '"'" gibt an, dass Textwerte von Anführungszeichen umgeben sind, und "LINES TERMINATED BY '\n'" gibt an, dass jede Zeile mit einem Zeilenumbruch endet. "IGNORE 1 ROWS" überspringt die erste Zeile der CSV-Datei, da es sich um die Spaltennamen handelt.</p>
<p>Nachdem Sie den Befehl ausgeführt haben, werden die Daten aus Ihrer CSV-Datei in die Tabelle "customers" importiert.</p>
<h3 id="fazit">Fazit<a class="headerlink" href="#fazit" title="Permanent link">&para;</a></h3>
<p>Der Import von Daten aus einer CSV-Datei in MySQL über die Kommandozeile ist eine einfache Aufgabe. Mit den oben genannten Schritten können Sie Ihre Daten schnell und einfach in eine MySQL-Datenbank importieren.</p>

              
            </article>
          </div>
        </div>
        
      </main>
      
        <footer class="md-footer">
  
    <nav class="md-footer__inner md-grid" aria-label="Footer">
      
        
        <a href=".." class="md-footer__link md-footer__link--prev" aria-label="Zurück: 0 Handlungsziele" rel="prev">
          <div class="md-footer__button md-icon">
            <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M20 11v2H8l5.5 5.5-1.42 1.42L4.16 12l7.92-7.92L13.5 5.5 8 11h12Z"/></svg>
          </div>
          <div class="md-footer__title">
            <div class="md-ellipsis">
              <span class="md-footer__direction">
                Zurück
              </span>
              0 Handlungsziele
            </div>
          </div>
        </a>
      
      
        
        <a href="../1-2/" class="md-footer__link md-footer__link--next" aria-label="Weiter: 1.2 SQL Data Manipulation Language (DML)" rel="next">
          <div class="md-footer__title">
            <div class="md-ellipsis">
              <span class="md-footer__direction">
                Weiter
              </span>
              1.2 SQL Data Manipulation Language (DML)
            </div>
          </div>
          <div class="md-footer__button md-icon">
            <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M4 11v2h12l-5.5 5.5 1.42 1.42L19.84 12l-7.92-7.92L10.5 5.5 16 11H4Z"/></svg>
          </div>
        </a>
      
    </nav>
  
  <div class="md-footer-meta md-typeset">
    <div class="md-footer-meta__inner md-grid">
      <div class="md-copyright">
  
    <div class="md-copyright__highlight">
      Copyright &copy; 2023 <a href='https://www.ksb-sg.ch'>ksb-sg.ch</a> | Informatik | Modul 106
    </div>
  
  
    Made with
    <a href="https://squidfunk.github.io/mkdocs-material/" target="_blank" rel="noopener">
      Material for MkDocs
    </a>
  
</div>
      
        <div class="md-social">
  
    
    
    <a href="https://ksb-sg.ch/" target="_blank" rel="noopener" title="KSB" class="md-social__link">
      <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M10 20v-6h4v6h5v-8h3L12 3 2 12h3v8h5Z"/></svg>
    </a>
  
</div>
      
    </div>
  </div>
</footer>
      
    </div>
    <div class="md-dialog" data-md-component="dialog">
      <div class="md-dialog__inner md-typeset"></div>
    </div>
    <script id="__config" type="application/json">{"base": "..", "features": ["navigation.instant", "navigation.path", "toc.integrate"], "search": "../assets/javascripts/workers/search.2a1c317c.min.js", "translations": {"clipboard.copied": "In Zwischenablage kopiert", "clipboard.copy": "In Zwischenablage kopieren", "search.config.lang": "de", "search.config.pipeline": "trimmer, stopWordFilter", "search.config.separator": "[\\s\\-]+", "search.placeholder": "Suche", "search.result.more.one": "1 weiteres Suchergebnis auf dieser Seite", "search.result.more.other": "# weitere Suchergebnisse auf dieser Seite", "search.result.none": "Keine Suchergebnisse", "search.result.one": "1 Suchergebnis", "search.result.other": "# Suchergebnisse", "search.result.placeholder": "Suchbegriff eingeben", "search.result.term.missing": "Es fehlt", "select.version.title": "Version ausw\u00e4hlen"}}</script>
    
    
      <script src="../assets/javascripts/bundle.3a4b43e5.min.js"></script>
      
        <script src="../javascripts/config.js"></script>
      
        <script src="https://polyfill.io/v3/polyfill.min.js?features=es6"></script>
      
        <script src="https://cdn.jsdelivr.net/npm/mathjax@3/es5/tex-mml-chtml.js"></script>
      
    
  </body>
</html>